tigase.server.ssender

## Class SenderTask

- java.lang.Object
- - java.util.TimerTask
  - - tigase.server.ssender.SenderTask

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    DrupalCommentsTask, DrupalForumTask, FileTask, JDBCTask

      public abstract class SenderTask
      extends TimerTask

  Describe class SenderTask here. Created: Fri Apr 20 12:05:38 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SenderTask()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getInitString()` `getInitString` method returns initialization string passed to it in `init()` method.
    `JID` | `getName()`
    `abstract void` | `init(StanzaHandler handler, String initString)` `init` method is a task specific initialization rountine.
    `void` | `setName(JID name)`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, run, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SenderTask

          public SenderTask()

  - ### Method Detail

    - #### setName

          public void setName(JID name)

    - #### getName

          public JID getName()

    - #### init

          public abstract void init(StanzaHandler handler,
                                    String initString)
                             throws IOException

      `init` method is a task specific initialization rountine.
      Parameters:
        `handler` - a `StanzaHandler` value is a reference to object which handles all stanza retrieved from data source. The handler is responsible for delivering stanza to destination address.
        `initString` - a `String` value is an initialization string for this task. For example database tasks would expect database connection string here, filesystem task would expect directory here.
      Throws:
        `IOException` - if an error occurs during task or data storage initialization.

    - #### getInitString

          public abstract String getInitString()

      `getInitString` method returns initialization string passed to it in `init()` method.
      Returns:
        a `String` value of initialization string.

Copyright © 2017 "Tigase, Inc.". All rights reserved.